## plasma-discover 6.4.91

=== kcm/CMakeLists.txt ===
#SPDX-FileCopyrightText: (C) 2020 Aleix Pol Gonzalzez <aleixpol@kde.org>
#SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"kcm_updates\")

kcmutils_add_qml_kcm(kcm_updates SOURCES updates.cpp updates.h)
kcmutils_generate_module_data(kcm_updates
    MODULE_DATA_HEADER discoverdata.h
    MODULE_DATA_CLASS_NAME DiscoverData
    SETTINGS_HEADERS discoversettings.h
    SETTINGS_CLASSES DiscoverSettings
)
kcmutils_generate_module_data(kcm_updates
    MODULE_DATA_HEADER updatesdata.h
    MODULE_DATA_CLASS_NAME UpdatesData
    SETTINGS_HEADERS updatessettings.h
    SETTINGS_CLASSES UpdatesSettings
)

kconfig_add_kcfg_files(kcm_updates updatessettings.kcfgc GENERATE_MOC)
kconfig_add_kcfg_files(kcm_updates discoversettings.kcfgc GENERATE_MOC)

target_link_libraries(kcm_updates PRIVATE
    KF6::I18n
    KF6::ConfigGui
    KF6::KCMUtilsQuick
)

if(BUILD_RpmOstreeBackend OR BUILD_SystemdSysupdateBackend)
    target_compile_definitions(kcm_updates PRIVATE UPDATE_NEEDS_REBOOT=1)
else()
    target_compile_definitions(kcm_updates PRIVATE UPDATE_NEEDS_REBOOT=0)
endif()

=== discover/icons/CMakeLists.txt ===
ecm_install_icons(
    ICONS
        128-apps-plasmadiscover.png
        16-apps-plasmadiscover.png
        22-apps-plasmadiscover.png
        32-apps-plasmadiscover.png
        48-apps-plasmadiscover.png
        sc-apps-plasmadiscover.svg
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== libdiscover/tests/CMakeLists.txt ===
ecm_add_test(CategoriesTest.cpp TEST_NAME CategoriesTest LINK_LIBRARIES Qt::Test Qt::Gui Discover::Common)

=== debian/changelog ===
plasma-discover (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of the upstream release.
  * Update the list of installed files.
  * Refresh lintian overrides.
  * Use plasma-devel@kde.org as the upstream contact.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 12:38:12 +0200

=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Matthias Klumpp <mak@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               kirigami-addons-dev (>= 1.2.1~),
               libappstreamqt-dev (>= 1.0.4~),
               libcurl4-gnutls-dev,
               libflatpak-dev (>= 0.11.8~) [linux-any],
               libfwupd-dev (>= 1.9.4~) [linux-any],
               libkf6archive-dev (>= 6.18.0~),
               libkf6attica-dev (>= 6.2.0~),
               libkf6auth-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6idletime-dev (>= 6.18.0~),
               libkf6jobwidgets-dev,
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.2.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6purpose-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6userfeedback-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libmarkdown2-dev,
               libpackagekitqt6-dev (>= 1.0.1),
               libsnapd-qt6-dev (>= 1.66-2) [linux-any],
               pkgconf,
               qcoro-qt6-dev,
               qml6-module-qt5compat-graphicaleffects,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-webview-dev (>= 6.6.0~) [amd64 arm64 armhf i386],
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/discover
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-discover
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-discover.git
Rules-Requires-Root: no

Package: plasma-discover
Architecture: any
Depends: appstream (>= 1.0),
         apt-config-icons,
         packagekit (>= 1.0),
         plasma-discover-common (= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: apt-config-icons-hidpi,
            apt-config-icons-large,
            apt-config-icons-large-hidpi,
            kde-config-updates,
            plasma-discover-backend-fwupd [linux-any],
            software-properties-qt,
Suggests: plasma-discover-backend-flatpak [linux-any],
          plasma-discover-backend-snap [linux-any],
Description: Discover software management suite
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 By allowing to navigate a software library by search, categories, top lists
 along with detailed application information that includes screenshots
 and reviews, users can more quickly find applications that suit their needs.
 .
 Discover will also keep the system up to date by notifying about updates and
 installing them.

Package: plasma-discover-backend-flatpak
Architecture: linux-any
Depends: flatpak,
         plasma-discover (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Discover software management suite - Flatpak backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Flatpak application
 bundling system.

Package: plasma-discover-backend-fwupd
Architecture: linux-any
Depends: plasma-discover (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: fwupd,
Description: Discover software management suite - fwupd backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the firmware update daemon.

Package: plasma-discover-backend-snap
Architecture: linux-any
Depends: plasma-discover (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: snapd,
Breaks: plasma-discover (<< 5.19.4-2~),
Replaces: plasma-discover (<< 5.19.4-2~),
Description: Discover software management suite - Snap backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Ubuntu Core Snappy application
 bundling system.

Package: plasma-discover-common
Architecture: all
Depends: ${misc:Depends},
Description: Discover software manager suite (common data files)
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the
 Discover suite.

Package: kde-config-updates
Architecture: any
Depends: systemsettings,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Unattended updates configuration
 This package contains a configuration module for configuring
 unattended updates for fleet administrators without the need to
 use system updaters manually.
 .
 This package is part of Plasma Discover.

## plasma-discover 6.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(discover)
set(PROJECT_VERSION "6.5.0")

set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.85")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  "${CMAKE_SOURCE_DIR}/cmake")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMAddTests)
include(GenerateExportHeader)
include(ECMQtDeclareLoggingCategory)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMFindQmlModule)
include(ECMDeprecationSettings)
include(ECMSourceVersionControl)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS Widgets Test Network Concurrent DBus Quick QuickControls2)
find_package(Qt6 ${QT_MIN_VERSION} CONFIG OPTIONAL_COMPONENTS WebView)

find_package(PkgConfig REQUIRED)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED Kirigami CoreAddons Config Crash DBusAddons I18n Archive XmlGui KIO KCMUtils IdleTime Notifications Purpose Auth StatusNotifierItem IconThemes)
find_package(KF6 ${KF6_MIN_VERSION} OPTIONAL_COMPONENTS UserFeedback)

find_package(packagekitqt6 1.0.1 CONFIG)
find_package(AppStreamQt 1.0.4 CONFIG REQUIRED)
find_package(KF6Attica 5.23 CONFIG)
find_package(KF6NewStuff 5.53 CONFIG)

find_package(KF6KirigamiAddons REQUIRED)
set_package_properties(KF6KirigamiAddons PROPERTIES
    TYPE REQUIRED
    PURPOSE "Provides additional visual components"
)

pkg_check_modules(Flatpak IMPORTED_TARGET flatpak>=0.11.8)
pkg_check_modules(Fwupd IMPORTED_TARGET fwupd>=1.9.4)
pkg_check_modules(Markdown IMPORTED_TARGET libmarkdown)
if(Markdown_FOUND AND Markdown_VERSION VERSION_GREATER_EQUAL 3)
    add_definitions(-DMARKDOWN3)
endif()
pkg_check_modules(Ostree IMPORTED_TARGET ostree-1)
pkg_check_modules(RpmOstree IMPORTED_TARGET rpm-ostree-1)

find_package(QCoro6 REQUIRED COMPONENTS Core DBus Network)

qcoro_enable_coroutines()

ecm_find_qmlmodule(org.kde.kitemmodels 1.0 REQUIRED)

list(APPEND CMAKE_AUTOMOC_MACRO_NAMES "DISCOVER_BACKEND_PLUGIN")

ecm_set_disabled_deprecation_versions(QT 6.8.1
    KF 6.9.0
)

add_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS -DQT_NO_URL_CAST_FROM_STRING)

# When building from git use a random iid to prevent loading incompatible plugins
# from the distro or older git builds.
set(DISCOVER_PLUGIN_IID ${PROJECT_VERSION})
set(DISCOVER_NOTIFIER_IID ${PROJECT_VERSION})
if(ECM_SOURCE_UNDER_VERSION_CONTROL)
    string(RANDOM LENGTH 16 DISCOVER_PLUGIN_IID)
    string(RANDOM LENGTH 16 DISCOVER_NOTIFIER_IID)
endif()
string(PREPEND DISCOVER_PLUGIN_IID "org.kde.discover.")
string(APPEND DISCOVER_PLUGIN_IID ".AbstractResourcesBackendFactory")

string(PREPEND DISCOVER_NOTIFIER_IID "org.kde.discover.")
string(APPEND DISCOVER_NOTIFIER_IID ".BackendNotifierModule")

configure_file(DiscoverConfig.h.in DiscoverConfig.h)
configure_file(DiscoverVersion.h.in DiscoverVersion.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

if(BUILD_TESTING AND CMAKE_SYSTEM_NAME MATCHES "Linux")
    add_subdirectory(appiumtests)
endif()
add_subdirectory(libdiscover)
add_subdirectory(discover)
add_subdirectory(exporter)

option(WITH_KCM "Build and install the updates KCM" ON)
if(WITH_KCM)
    add_subdirectory(kcm)
endif()

option(WITH_NOTIFIER "Build and install the notifier plasmoid" ON)
if(WITH_NOTIFIER)
    add_subdirectory(notifier)
endif()

set_package_properties(KF6Attica PROPERTIES
    DESCRIPTION "KDE Framework that implements the Open Collaboration Services API"
    PURPOSE "Required to build the KNewStuff3 backend"
    TYPE OPTIONAL)
set_package_properties(KF6Kirigami2 PROPERTIES
    DESCRIPTION "KDE's lightweight user interface framework for mobile and convergent applications"
    URL "https://techbase.kde.org/Kirigami"
    PURPOSE "Required by discover qml components"
    TYPE RUNTIME)
set_package_properties(KF6NewStuff PROPERTIES
    DESCRIPTION "Qt library that allows to interact with KNewStuff implementations"
    PURPOSE "Required to build the KNS backend"
    TYPE OPTIONAL)
set_package_properties(KF6UserFeedback PROPERTIES
    DESCRIPTION "Framework for collecting feedback from application users via telemetry and targeted surveys"
    URL "https://invent.kde.org/frameworks/kuserfeedback"
    PURPOSE "Required for submission of telemetry data"
    TYPE OPTIONAL)
set_package_properties(packagekitqt6 PROPERTIES
    DESCRIPTION "Library that exposes PackageKit resources"
    URL "https://www.freedesktop.org/software/PackageKit/"
    PURPOSE "Required to build the PackageKit backend"
    TYPE OPTIONAL)
set_package_properties(AppStreamQt PROPERTIES
    DESCRIPTION "Library that lists Appstream resources"
    URL "https://www.freedesktop.org"
    PURPOSE "Required to build the PackageKit, Flatpak and Snap backends"
    TYPE OPTIONAL)
add_feature_info(Flatpak Flatpak_FOUND
                "Library that exposes flatpak repositories. Required to build the Flatpak backend"
)
add_feature_info(Fwupd Fwupd_FOUND "Exposes fwupd")
add_feature_info(Ostree Ostree_FOUND
                "Library to manage ostree repository. Required to build the rpm-ostree backend"
)
add_feature_info(RpmOstree RpmOstree_FOUND
                "rpm-ostree binary to manage the system. Required to build the rpm-ostree backend"
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ecm_qt_install_logging_categories(
    EXPORT DISCOVER
    FILE discover.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ki18n_install(po)

=== exporter/CMakeLists.txt ===
add_executable(plasma-discover-exporter main.cpp DiscoverExporter.cpp DiscoverExporter.h)

target_link_libraries(plasma-discover-exporter Discover::Common KF6::CoreAddons KF6::I18n)

=== libdiscover/notifiers/CMakeLists.txt ===
add_library(DiscoverNotifiers BackendNotifierModule.cpp BackendNotifierModule.h)
target_link_libraries(DiscoverNotifiers
    PUBLIC
        Qt::Core
)

generate_export_header(DiscoverNotifiers)

target_include_directories(DiscoverNotifiers PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
install(TARGETS DiscoverNotifiers DESTINATION ${KDE_INSTALL_LIBDIR}/plasma-discover)

add_library(Discover::Notifiers ALIAS DiscoverNotifiers)

=== libdiscover/backends/FlatpakBackend/CMakeLists.txt ===
ecm_qt_declare_logging_category(libdiscover-backend-flatpak-logging-category_SRCS
    HEADER libdiscover_backend_flatpak_debug.h
    IDENTIFIER LIBDISCOVER_BACKEND_FLATPAK_LOG
    CATEGORY_NAME org.kde.plasma.libdiscover.backend.flatpak
    DESCRIPTION "libdiscover (backend - Flatpak)"
    EXPORT DISCOVER
)

add_library(libdiscover-backend-flatpak-logging-category STATIC
    ${libdiscover-backend-flatpak-logging-category_SRCS}
)

set_property(TARGET libdiscover-backend-flatpak-logging-category PROPERTY POSITION_INDEPENDENT_CODE ON)

target_link_libraries(libdiscover-backend-flatpak-logging-category
    PRIVATE
        Qt::Core
)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

set(flatpak-backend_SRCS
    FlatpakResource.cpp
    FlatpakBackend.cpp
    FlatpakFetchDataJob.cpp
    FlatpakSourcesBackend.cpp
    FlatpakJobTransaction.cpp
    FlatpakTransactionThread.cpp
    FlatpakRefreshAppstreamMetadataJob.cpp
    FlatpakPermission.cpp
    resources.qrc
)

kcoreaddons_add_plugin(flatpak-backend SOURCES ${flatpak-backend_SRCS} INSTALL_NAMESPACE "discover")
kde_target_enable_exceptions(flatpak-backend PRIVATE)
target_link_libraries(flatpak-backend
    PRIVATE
        Qt::Core
        Qt::Widgets
        Qt::Concurrent
        KF6::CoreAddons
        KF6::ConfigCore
        KF6::KIOGui
        Discover::Common
        AppStreamQt
        PkgConfig::Flatpak
        QCoro::Core
        libdiscover-backend-flatpak-logging-category
)

if (NOT Flatpak_VERSION VERSION_LESS 1.1.2)
    target_compile_definitions(flatpak-backend PRIVATE -DFLATPAK_VERBOSE_PROGRESS -DFLATPAK_LIST_UNUSED_REFS)
endif()

install(FILES flatpak-backend-categories.xml DESTINATION ${KDE_INSTALL_DATADIR}/libdiscover/categories)

kcoreaddons_add_plugin(FlatpakNotifier SOURCES FlatpakNotifier.cpp INSTALL_NAMESPACE "discover-notifier")
target_link_libraries(FlatpakNotifier
    PRIVATE
        Discover::Notifiers
        Qt::Concurrent
        PkgConfig::Flatpak
        libdiscover-backend-flatpak-logging-category

)
set_target_properties(FlatpakNotifier PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/plasma-discover)

if (Flatpak_VERSION VERSION_LESS 1.10.2)
    target_compile_definitions(flatpak-backend PRIVATE -DFLATPAK_EXTERNC_REQUIRED)
    target_compile_definitions(FlatpakNotifier PRIVATE -DFLATPAK_EXTERNC_REQUIRED)
endif()

install(FILES org.kde.discover.flatpak.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

ecm_install_icons(
    ICONS
        sc-apps-flatpak-discover.svg
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== libdiscover/backends/DummyBackend/tests/CMakeLists.txt ===
add_unit_test(dummytest
    DummyTest.cpp
)

add_unit_test(updatedummytest
    UpdateDummyTest.cpp
)
target_link_libraries(updatedummytest
    KF6::CoreAddons
)

=== debian/changelog ===
plasma-discover (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:58:34 +0200

=== debian/control ===
--- 
+++ 
@@ -49,7 +49,6 @@
 Homepage: https://invent.kde.org/plasma/discover
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-discover
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-discover.git
-Rules-Requires-Root: no
 
 Package: plasma-discover
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

# FIXME: tests are broken at time
override_dh_auto_test:
	:

## plasma-discover 6.5.0+p24.04+vstable+git20251021.0847

=== debian/changelog ===
plasma-discover (6.5.0+p24.04+vstable+git20251021.0847-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:47:39 +0000

plasma-discover (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:29:22 +0000

=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Matthias Klumpp <mak@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-attica-dev,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kitemmodels-dev,
               kf6-kitemviews-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-ktextwidgets-dev,
               kf6-kuserfeedback-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               kf6-purpose-dev,
               kf6-solid-dev,
               libappstreamqt-dev (>= 1.0.0),
               libflatpak-dev (>= 0.10.2),
               libfwupd-dev,
               libjcat-dev,
               libmarkdown2-dev,
               libpackagekitqt6-dev,
               libplasma-dev,
               libqca-qt6-2-dev,
               libsnapd-qt6-dev,
               libsoup2.4-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               qt6-webview-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/discover
Vcs-Git: https://invent.kde.org/neon/kde/plasma-discover.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-discover
Maintainer: Neon CI <neon@kde.org>

Package: plasma-discover
Architecture: any
Depends: appstream (>= 1.0),
         apt-config-icons,
         apt-config-icons-hidpi,
         apt-config-icons-large,
         apt-config-icons-large-hidpi,
         debconf-kde-helper,
         kde-config-updates,
         kf6-kcoreaddons,
         kf6-kdeclarative,
         kf6-kirigami2,
         kf6-qqc2-desktop-style,
         libplasma6,
         packagekit (>= 1.0),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: plasma-discover-backend-flatpak, plasma-discover-backend-snap
Breaks: plasma-discover-backend-flatpak (<< 6.2.5),
        plasma-discover-common (<< 6.3.0),
        plasma-discover-notifier (<< 6.0)
Replaces: kde-config-updates,
          plasma-discover-backend-flatpak (<< 6.2.5),
          plasma-discover-common (<< 6.3.0),
          plasma-discover-notifier (<< 6.0)
Description: Discover software management suite
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 By allowing to navigate a software library by search, categories, top lists
 along with detailed application information that includes screenshots
 and reviews, users can more quickly find applications that suit their needs.
 .
 Discover will also keep the system up to date by notifying about updates and
 installing them.

Package: plasma-discover-backend-flatpak
Architecture: any
Depends: flatpak,
         plasma-discover (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: flatpak-kcm
Description: Discover software management suite - Flatpak backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Flatpak application
 bundling system.

Package: plasma-discover-backend-snap
Architecture: any
Depends: plasma-discover (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: snapd
Description: Discover software management suite - Snap backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Ubuntu Core Snappy application
 bundling system.

Package: plasma-discover-common
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-discover (>= 6.2.5), ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kde-config-updates
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-discover, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: plasma-discover-notifier
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-discover, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## plasma-discover 6.5.0+p24.04+vstable+git20251021.0956

=== debian/changelog ===
plasma-discover (6.5.0+p24.04+vstable+git20251021.0956-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:56:44 +0000

## plasma-discover 6.5.0+p24.04+vstable+git20251028.0939

=== debian/changelog ===
plasma-discover (6.5.0+p24.04+vstable+git20251028.0939-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 09:39:25 +0000

=== debian/control ===
--- 
+++ 
@@ -75,11 +75,11 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: plasma-discover-backend-flatpak, plasma-discover-backend-snap
-Breaks: plasma-discover-backend-flatpak (<< 6.2.5),
+Breaks: plasma-discover-backend-flatpak (<< 6.5.0),
         plasma-discover-common (<< 6.3.0),
         plasma-discover-notifier (<< 6.0)
 Replaces: kde-config-updates,
-          plasma-discover-backend-flatpak (<< 6.2.5),
+          plasma-discover-backend-flatpak (<< 6.5.0),
           plasma-discover-common (<< 6.3.0),
           plasma-discover-notifier (<< 6.0)
 Description: Discover software management suite

## plasma-discover 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(discover)
-set(PROJECT_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== libdiscover/backends/PackageKitBackend/CMakeLists.txt ===
find_package(KF6 REQUIRED Notifications)

ecm_qt_declare_logging_category(libdiscover-backend-packagekit-logging-category_SRCS
    HEADER libdiscover_backend_packagekit_debug.h
    IDENTIFIER LIBDISCOVER_BACKEND_PACKAGEKIT_LOG
    CATEGORY_NAME org.kde.plasma.libdiscover.backend.packagekit
    DESCRIPTION "libdiscover (backend - PackageKit)"
    EXPORT DISCOVER
)

add_library(libdiscover-backend-packagekit-logging-category STATIC
    ${libdiscover-backend-packagekit-logging-category_SRCS}
)

set_property(TARGET libdiscover-backend-packagekit-logging-category PROPERTY POSITION_INDEPENDENT_CODE ON)

target_link_libraries(libdiscover-backend-packagekit-logging-category
    PRIVATE
        Qt::Core
)

#packagekit-backend
set(packagekit-backend_SRCS
    PackageKitBackend.cpp
    PackageKitResource.cpp
    PackageKitDependencies.cpp
    AppPackageKitResource.cpp
    PKTransaction.cpp
    PackageKitUpdater.cpp
    PackageKitMessages.cpp
    PackageKitSourcesBackend.cpp
    LocalFilePKResource.cpp
    PKResolveTransaction.cpp
    pkui.qrc
)

kcoreaddons_add_plugin(packagekit-backend SOURCES ${packagekit-backend_SRCS} INSTALL_NAMESPACE "discover")
kde_target_enable_exceptions(packagekit-backend PRIVATE)
target_link_libraries(packagekit-backend
    PRIVATE
        Discover::Common
        Qt::Core
        Qt::Concurrent
        PK::packagekitqt6
        KF6::ConfigGui
        KF6::KIOCore
        KF6::KIOGui
        KF6::Archive
        AppStreamQt
        QCoro::Core
        libdiscover-backend-packagekit-logging-category
)

if (TARGET PkgConfig::Markdown)
    target_compile_definitions(packagekit-backend PRIVATE -DWITH_MARKDOWN)
    target_link_libraries(packagekit-backend PRIVATE PkgConfig::Markdown)
endif()

#notifier
set(DiscoverPackageKitNotifier_SRCS
    PackageKitNotifier.cpp
)

kcoreaddons_add_plugin(DiscoverPackageKitNotifier SOURCES ${DiscoverPackageKitNotifier_SRCS} INSTALL_NAMESPACE "discover-notifier")

target_link_libraries(DiscoverPackageKitNotifier
    PRIVATE
        PK::packagekitqt6
        Discover::Notifiers
        KF6::I18n
        KF6::Notifications
        KF6::ConfigCore
        DiscoverAppStreamIntegration
        libdiscover-backend-packagekit-logging-category
)

set_target_properties(DiscoverPackageKitNotifier PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/plasma-discover)

install(FILES packagekit-backend-categories.xml DESTINATION ${KDE_INSTALL_DATADIR}/libdiscover/categories)

install(FILES org.kde.discover.packagekit.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

option(PACKAGEKIT_AUTOREMOVE "Enable auto-removing unused dependencies when removing packages with PackageKit." "OFF")
if (PACKAGEKIT_AUTOREMOVE)
    add_definitions(-DPACKAGEKIT_AUTOREMOVE)
endif()

=== libdiscover/backends/SnapBackend/libsnapclient/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-paths.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-paths.h)

ki18n_wrap_ui(SnapMacaroonDialog_SRCS SnapMacaroonDialog.ui)
add_executable(SnapMacaroonDialog
    SnapMacaroonDialog.cpp
    ${SnapMacaroonDialog_SRCS}
)
target_link_libraries(SnapMacaroonDialog
    Qt::Network
    Qt::Widgets
    KF6::AuthCore
    KF6::I18n
)
install(TARGETS SnapMacaroonDialog DESTINATION ${KDE_INSTALL_LIBEXECDIR}/discover)

add_executable(libsnap_helper
    SnapAuthHelper.cpp
)
target_link_libraries(libsnap_helper
    Qt::Network
    KF6::AuthCore
    Snapd::Core
)
install(TARGETS libsnap_helper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

kauth_install_actions(org.kde.discover.libsnapclient org.kde.discover.libsnapclient.actions)
kauth_install_helper_files(libsnap_helper org.kde.discover.libsnapclient root)

=== libdiscover/backends/SteamOSBackend/tests/CMakeLists.txt ===
set(EXTRA_LIBS
    libdiscover-backend-steamos-logging-category
)
add_unit_test(steamostest SteamOSTest.cpp atomupd1_adaptor.cpp mock_server.cpp )
set_tests_properties(steamostest PROPERTIES TIMEOUT 600)

target_link_libraries(steamostest
    Qt::Core
    Qt::Widgets
    Qt::DBus
    KF6::CoreAddons
    KF6::ConfigCore
    Discover::Common
)

=== debian/changelog ===
plasma-discover (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:12:21 +0100

## plasma-discover 6.5.1+p24.04+vstable+git20251029.0721

=== debian/changelog ===
plasma-discover (6.5.1+p24.04+vstable+git20251029.0721-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 07:21:41 +0000

plasma-discover (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:55:29 +0000

## plasma-discover 6.5.1+p24.04+vstable+git20251031.1007

=== debian/changelog ===
plasma-discover (6.5.1+p24.04+vstable+git20251031.1007-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 10:07:35 +0000

## plasma-discover 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(discover)
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== notifier/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma-discover-notifier\")

kconfig_add_kcfg_files(notifier_SRCS ../kcm/updatessettings.kcfgc GENERATE_MOC)

qt_add_dbus_interface(notifier_SRCS org.freedesktop.login1.Manager.xml Login1ManagerInterface)

add_executable(DiscoverNotifier
    BackendNotifierFactory.cpp
    DiscoverNotifier.cpp
    NotifierItem.cpp
    UnattendedUpdates.cpp
    main.cpp

    ${notifier_SRCS}
)

target_link_libraries(DiscoverNotifier
    KF6::Notifications
    KF6::JobWidgets
    KF6::StatusNotifierItem
    KF6::I18n
    KF6::KIOGui
    KF6::Crash
    KF6::DBusAddons
    KF6::ConfigGui
    KF6::IdleTime

    Discover::Notifiers
)

ecm_qt_declare_logging_category(DiscoverNotifier
    HEADER debug.h
    IDENTIFIER NOTIFIER
    CATEGORY_NAME org.kde.plasma.discover.notifier
    DESCRIPTION "Plasma Discover Notifier"
    EXPORT DISCOVER
)

set_target_properties(DiscoverNotifier PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/plasma-discover)
install(TARGETS DiscoverNotifier DESTINATION ${KDE_INSTALL_LIBEXECDIR})

set(DesktopExec "${KDE_INSTALL_FULL_LIBEXECDIR}/DiscoverNotifier")
configure_file(org.kde.discover.notifier.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.notifier.desktop)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.notifier.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.notifier.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})

=== libdiscover/backends/CMakeLists.txt ===
function(add_unit_test name)
    add_executable(${name} ${ARGN})
    add_test(${name} dbus-run-session ${CMAKE_BINARY_DIR}/bin/${name})
    ecm_mark_as_test(${name})
    target_link_libraries(${name}
        Discover::Common
        Qt::Test
        Qt::Core
        ${EXTRA_LIBS}
    )
endfunction()

# Shared logging category for backends which don't declare their own ones
ecm_qt_declare_logging_category(libdiscover-backend-logging-category_SRCS
    HEADER libdiscover_backend_debug.h
    IDENTIFIER LIBDISCOVER_BACKEND_LOG
    CATEGORY_NAME org.kde.plasma.libdiscover.backend
    DESCRIPTION "libdiscover (backend)"
    EXPORT DISCOVER
)

add_library(libdiscover-backend-logging-category STATIC
    ${libdiscover-backend-logging-category_SRCS}
)

set_property(TARGET libdiscover-backend-logging-category PROPERTY POSITION_INDEPENDENT_CODE ON)

target_link_libraries(libdiscover-backend-logging-category
    PRIVATE
        Qt::Core
)

if (KF6Attica_FOUND AND KF6NewStuff_FOUND AND AppStreamQt_FOUND)
   add_subdirectory(KNSBackend)
endif()


option(BUILD_PackageKitBackend "Build PackageKit support." "${packagekitqt6_FOUND}")
if (BUILD_PackageKitBackend AND AppStreamQt_FOUND)
    add_subdirectory(PackageKitBackend)
endif()

option(BUILD_DummyBackend "Build the DummyBackend" "OFF")
if (BUILD_DummyBackend)
    add_subdirectory(DummyBackend)
endif()

option(BUILD_FlatpakBackend "Build Flatpak support" "ON")
if (Flatpak_FOUND AND AppStreamQt_FOUND AND BUILD_FlatpakBackend)
    add_subdirectory(FlatpakBackend)
elseif (BUILD_FlatpakBackend)
    message(WARNING "BUILD_FlatpakBackend enabled but Flatpak=${Flatpak_FOUND} or AppStreamQt=${AppStreamQt_FOUND} not found")
endif()

find_package(Snapd 1.65)
set_package_properties(Snapd PROPERTIES
    DESCRIPTION "Library that exposes Snapd"
    URL "https://www.snapcraft.io"
    PURPOSE "Required to build the Snap backend"
    TYPE OPTIONAL
)

option(BUILD_SteamOSBackend "Build SteamOS support." "OFF")
if (BUILD_SteamOSBackend)
    add_subdirectory(SteamOSBackend)
endif()

option(BUILD_SystemdSysupdateBackend "Build support for Systemd's SysUpdate." "OFF")
if (BUILD_SystemdSysupdateBackend)
    add_subdirectory(SystemdSysupdateBackend)
endif()

option(BUILD_SnapBackend "Build Snap support." "ON")
if (BUILD_SnapBackend AND AppStreamQt_FOUND AND Snapd_FOUND)
    add_subdirectory(SnapBackend)
endif()

option(BUILD_FwupdBackend "Build Fwupd support." "ON")
if (BUILD_FwupdBackend AND TARGET PkgConfig::Fwupd)
    add_subdirectory(FwupdBackend)
endif()

option(BUILD_RpmOstreeBackend "Build rpm-ostree support." "${RpmOstree_FOUND}")
if (BUILD_RpmOstreeBackend AND Ostree_FOUND)
    add_subdirectory(RpmOstreeBackend)
endif()

# Optional library
find_package(ApkQt CONFIG)
set_package_properties(ApkQt PROPERTIES
    DESCRIPTION "C++/Qt interface library for Alpine package keeper"
    URL "https://gitlab.com/postmarketOS/libapk-qt"
    PURPOSE "Required to build the Alpine APK backend"
    TYPE OPTIONAL)

option(BUILD_AlpineApkBackend "Build Alpine APK support." "ON")
if(BUILD_AlpineApkBackend AND ApkQt_FOUND)
    add_subdirectory(AlpineApkBackend)
endif()

=== libdiscover/backends/SteamOSBackend/CMakeLists.txt ===
set(steamos-backend_SRCS
    SteamOSResource.h
    SteamOSResource.cpp
    SteamOSBackend.h
    SteamOSBackend.cpp
    SteamOSTransaction.h
    SteamOSTransaction.cpp
    dbushelpers.h
)

set(atomupd1_xml com.steampowered.Atomupd1.xml)
set_source_files_properties(${atomupd1_xml} PROPERTIES
    INCLUDE "dbushelpers.h"
    NA_NAMESPACE TRUE
)
qt_add_dbus_interface(steamos-backend_SRCS ${atomupd1_xml} atomupd1)
qt_add_dbus_interface(steamos-backend_SRCS org.freedesktop.DBus.Properties.xml dbusproperties_interface)

ecm_qt_declare_logging_category(steamos-backend_SRCS
    HEADER libdiscover_steamos_debug.h
    IDENTIFIER LIBDISCOVER_BACKEND_STEAMOS_LOG
    CATEGORY_NAME org.kde.plasma.libdiscover.backend.steamos
    DESCRIPTION "libdiscover (backend - SteamOS)"
    EXPORT DISCOVER
)

kcoreaddons_add_plugin(steamos-backend SOURCES ${steamos-backend_SRCS} INSTALL_NAMESPACE "discover")

add_library(libdiscover-backend-steamos-logging-category STATIC
    ${libdiscover-backend-steamos-logging-category_SRCS}
)

set_property(TARGET libdiscover-backend-steamos-logging-category PROPERTY POSITION_INDEPENDENT_CODE ON)

target_link_libraries(libdiscover-backend-steamos-logging-category
    PRIVATE
        Qt::Core
)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

target_link_libraries(steamos-backend
    Qt::Core
    Qt::Widgets
    Qt::DBus
    KF6::CoreAddons
    KF6::ConfigCore
    Discover::Common
)

=== debian/changelog ===
plasma-discover (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:31:03 +0100

=== debian/watch ===
Version: 5
Source: https://download.kde.org/stable/plasma/@ANY_VERSION@/
Matching-Pattern: discover-@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s%$%.sig%

## plasma-discover 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(discover)
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== debian/changelog ===
plasma-discover (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:23:45 +0100

## plasma-discover 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(discover)
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.4")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")

=== libdiscover/backends/DummyBackend/tests/CMakeLists.txt ===
--- 
+++ 
@@ -8,3 +8,6 @@
 target_link_libraries(updatedummytest
     KF6::CoreAddons
 )
+
+add_test(NAME headless-updates
+         COMMAND Plasma::Discover --backends dummy --headless-update)

=== debian/changelog ===
plasma-discover (6.5.4-0ubuntu2) resolute; urgency=medium

  * Rebuild for release.

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Dec 2025 08:06:03 +0000

plasma-discover (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:16:17 +0000

plasma-discover (6.5.3-0ubuntu2) resolute; urgency=medium

  * Rebuild for release.

 -- Rik Mills <rikmills@kde.org>  Fri, 21 Nov 2025 15:57:50 +0000

plasma-discover (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:05:58 +0000

plasma-discover (6.5.2-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for libpackagekitqt6-2.

 -- Rik Mills <rikmills@kde.org>  Fri, 07 Nov 2025 09:54:58 +0000

plasma-discover (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:10:35 +0000

plasma-discover (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:44:51 +0000

plasma-discover (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:35:33 +0100

=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Matthias Klumpp <mak@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               kirigami-addons-dev (>= 1.2.1~),
               libappstreamqt-dev (>= 1.0.0),
               libcurl4-gnutls-dev,
               libflatpak-dev (>= 0.11.8~) [linux-any],
               libfwupd-dev (>= 1.9.4~) [linux-any],
               libkf6archive-dev (>= 6.18.0~),
               libkf6attica-dev (>= 6.18.0~),
               libkf6auth-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6idletime-dev (>= 6.18.0~),
               libkf6jobwidgets-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6purpose-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6userfeedback-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libmarkdown2-dev,
               libpackagekitqt6-dev (>= 1.1.3),
               libsnapd-qt-dev (>= 1.65) [linux-any],
               pkgconf,
               qcoro-qt6-dev,
               qml6-module-qt5compat-graphicaleffects,
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-webview-dev (>= 6.9.0~) [amd64 arm64 armhf i386],
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/discover
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
Rules-Requires-Root: no

Package: plasma-discover
Architecture: any
Depends: appstream (>= 1.0),
         apt-config-icons,
         packagekit (>= 1.0),
         plasma-discover-common (= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: apt-config-icons-hidpi,
            apt-config-icons-large,
            apt-config-icons-large-hidpi,
            plasma-discover-backend-fwupd [linux-any],
            plasma-discover-backend-snap,
            plasma-discover-notifier,
            software-properties-qt,
Suggests: kde-config-updates, plasma-discover-backend-flatpak [linux-any],
Description: Discover software management suite
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 By allowing to navigate a software library by search, categories, top lists
 along with detailed application information that includes screenshots
 and reviews, users can more quickly find applications that suit their needs.
 .
 Discover will also keep the system up to date by notifying about updates and
 installing them.

Package: kde-config-updates
Architecture: any
Depends: systemsettings, ${misc:Depends}, ${shlibs:Depends},
Description: Unattended updates configuration
 This package contains a configuration module for configuring
 unattended updates for fleet administrators without the need to
 use system updaters manually.
 .
 This package is part of Plasma Discover.

Package: plasma-discover-backend-flatpak
Architecture: linux-any
Depends: flatpak,
         plasma-discover (= ${binary:Version}),
         xdg-desktop-portal-kde | xdg-desktop-portal-backend,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Discover software management suite - Flatpak backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Flatpak application
 bundling system.

Package: plasma-discover-backend-fwupd
Architecture: linux-any
Depends: plasma-discover (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: fwupd,
Description: Discover software management suite - fwupd backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the firmware update daemon.

Package: plasma-discover-backend-snap
Architecture: linux-any
Depends: plasma-discover (= ${binary:Version}),
         xdg-desktop-portal-kde | xdg-desktop-portal-backend,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: snapd,
Breaks: plasma-discover (<< 5.19.4-2~),
Replaces: plasma-discover (<< 5.19.4-2~),
Description: Discover software management suite - Snap backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Ubuntu Core Snappy application
 bundling system.

Package: plasma-discover-common
Architecture: all
Depends: ${misc:Depends},
Description: Discover software manager suite (common data files)
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the
 Discover suite.

Package: plasma-discover-notifier
Architecture: any
Depends: plasma-discover (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-discover (<< 5.26.90-0ubuntu2),
Replaces: plasma-discover (<< 5.26.90-0ubuntu2),
Description: Discover software management suite - Update Notifier
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 By allowing to navigate a software library by search, categories, top lists
 along with detailed application information that includes screenshots
 and reviews, users can more quickly find applications that suit their needs.
 .
 Discover will also keep the system up to date by notifying about updates and
 installing them.
 .
 This package contains the update notifier and indicator.

## plasma-discover 6.5.4+p24.04+vstable+git20251231.0303

=== debian/changelog ===
plasma-discover (6.5.4+p24.04+vstable+git20251231.0303-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:03:47 +0000

plasma-discover (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:24:18 +1000

plasma-discover (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:16:05 +1000

plasma-discover (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:14:57 +1000

## plasma-discover 6.5.4+p24.04+vstable+git20260101.0147

=== debian/changelog ===
plasma-discover (6.5.4+p24.04+vstable+git20260101.0147-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 01:48:00 +0000

## plasma-discover 6.5.4+p24.04+vunstable+git20251209.1405

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(discover)
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.80")
 
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
@@ -38,10 +38,10 @@
 
 find_package(packagekitqt6 1.0.1 CONFIG)
 find_package(AppStreamQt 1.0.4 CONFIG REQUIRED)
-find_package(KF6Attica 5.23 CONFIG)
-find_package(KF6NewStuff 5.53 CONFIG)
+find_package(KF6Attica ${KF6_MIN_VERSION} CONFIG)
+find_package(KF6NewStuff ${KF6_MIN_VERSION} CONFIG)
 
-find_package(KF6KirigamiAddons REQUIRED)
+find_package(KF6KirigamiAddons 1.10.0 REQUIRED)
 set_package_properties(KF6KirigamiAddons PROPERTIES
     TYPE REQUIRED
     PURPOSE "Provides additional visual components"

=== debian/changelog ===
plasma-discover (6.5.4+p24.04+vunstable+git20251209.1405-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 14:06:00 +0000
